#programa : SHA512.py
#autor : jorge nolasco valenzuela
#fecha : 14-07-2017
"""
descripcion : este programa muestra
el uso de import hashlib - Algoritmo SHA512
"""
import hashlib
#ingresamos la cadena
cadena=input("Ingrese Cadena a Codificar :")
# Crear un objeto llamado hash1 que es del tipo SHA512
hash1=hashlib.sha512()
# Utilizar el método update para generar el SHA512 de la cadena
hash1.update(cadena.encode("UTF-8"))
# Obtener los valores hexadecimales generados del SHA512 ,Mediante la utilización del método hex-digest
hex1=hash1.hexdigest()
# Imprimir el resultado
print("SHA512: " + hex1.upper())

